<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8"/>
        <title>Note List</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" 
        integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" 
        crossorigin="anonymous">
        {% include 'navbar.html' %}
    </head>
    <body>
        <div class=header>
            <h1>Notes</h1>
            <p>All displayed in table</p>
        </div>
        <table class="table table-bordered">
            <tr>
                <th>To</th>
                <th >From</th>
                <th>Title</th>
                <th>Message</th>
            </tr>
                {% if notes %}
                    {% for note in notes %}
                        <tr>
                            <td>{{ note.to }}</td>
                            <td>{{ note.sender }}</td>
                            <td>{{ note.title }}</td>
                            <td>{{ note.message }}</td>
                        </tr>
                    {% endfor %}
                {% endif %}
        </table>
    </body>
</html>
<style>
    body{
        background-color: #F1FAEE;
        padding-bottom: 10px;
        margin-top: 80px;
    }
    th{
        text-align: center;
        --bs-table-bg: #3D348B;
        color: white;
    }
    td{
        text-align: justify;
        --bs-table-bg: white;
    }
    table{
        max-width: 800px;
        margin-top: 70px;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 50px;
    }
    @media (min-width: 480px) {
        table {
            margin: auto;
        }
    }
    .header{
        text-align: center;
    }
</style>